<template>
  <div class="multimediaBG">
    <div class="multimedia"
         :class="{'isshow' :provinces.isshow}" >
      <div
        @touchmove.prevent.stop="srcStart($event)"
        class="titleBG">
        <p class="cancel" @click="top('false')" >取消</p>
        <p class="confirm" @click="top('true')" >确定</p>
      </div>
      <div class="listBG" >
        <scroll-view scroll-y="true" style="height: 440rpx;">
          <ul
            class="list-data" >
            <li class="list-item" v-for="(item,index) in provinces.data" :key="item.name"
                @click.prevent.stop="listfunction(index,item)" :class="{'highlight' : item.highlight}">{{item.name}}
            </li>
          </ul>
        </scroll-view>

      </div>
    </div>
    <div
      @touchmove.prevent.stop="srcStart($event)"
      class="background"  @click="top('false')" :class="{'isshow' :provinces.isshow}" ></div>
  </div>
</template>

<script type="text/ecmascript-6">

  import config from '@/config'
  export default {
    data(){
      return{
        listTop : 0,
        top1 : 0,
      }
    },

    props:{
      inputtime:{
        default(){
          return{
            text : '请选择时间',
            placeholder: '请选择时间',
            value:'',//时间值
            mintime : null,//最小时间
            maxtime : null//最大时间
          }
        }
      },
      provinces:{
        default(){
          return{
            text : '8848',
            isshow: true,
            single :false,
            data:[
              {
                name: 'aa',
                highlight:false,
              },
            ]
          }
        }
      }
    },
    methods:{
      listshow(){
        console.log('tt');
      },
      srcStart(e){
        console.log(e);
      },
      listfunction(index,item){
        console.log('33',this.provinces);
        console.log(index);
        console.log(item);
        this.provinces.data.forEach((item2,index2)=>{
          console.log(item2.highlight);
          item2.highlight = false;
        });
        item.highlight = !item.highlight;
        console.log('----'+ item.highlight);
      },
      top(text){
        this.provinces.isshow = false;
        this.$emit('multimedia',text,this.provinces);
      }
    },

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
  * {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
    outline: none;
  }
  *:not(input,textarea) {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
  }
  *{
    cursor:pointer;
  }

  .list{
    display: flex;
    position: relative;
    .title{
      margin-right: 0.5rem;
      font-size: 0.32rem;
      color: #000 !important;
    }
    p{
      color: #fff;
      font-size: 0.32rem;
    }
    img{
      position: absolute;
      top: 0.05rem;
      right: 0.5rem;
      width: 0.13rem;
      height: 0.22rem;
    }
  }
  .multimediaBG{
    /*height: 100%;*/
    .multimedia {
      position:fixed;
      z-index:2999;
      left:0;
      bottom: 0;
      width:100%;
      height: 5rem;
      transition:all 0.3s ease;
      transform:translateY(100%);
      background-color: #fff;
      .titleBG{
        padding: 0.15rem 0.3rem;
        color: #666;
        display: flex;
        border-bottom: 1px solid #f6f6f6;
        p{
          flex: 1;
          font-size: 0.32rem;
        }
        .cancel{
          text-align: left;
        }
        .confirm{
          text-align: right;
          color:#1aad19;
        }
      }
      .list-data{
        height: 4.4rem;
        transition:all 0.3s ease;
        .list-item{
          padding: 0 0.3rem;
          color: #666;
          text-align: center;
          font-size: 0.32rem;
          line-height: 0.8rem;
          height: 0.8rem;
          border-bottom: 1px solid #f6f6f6;
        }
        .highlight{
          color:#1aad19;
        }
      }
    }
    .background{

      transform:translateY(100%);
    }
    .isshow {
      transform:translateY(0%);
    }
  }
</style>
